/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';

.kalender-drawer-container {
  & > .ant-typography {
    font-size: 1.6rem !important;
  }
  .ant-select-tree-switcher,
  .ant-select-tree-switcher-icon {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .ant-select-tree-switcher-icon {
    line-height: 34px;
  }

  .months-container,
  .phasen-container {
    display: flex;
    flex-direction: column;
    margin-bottom: 10px;
    & > span {
      margin-bottom: 10px;
    }
  }
  .year-title {
    margin-top: 20px !important;
    font-weight: bolder;
  }
  .light-span {
    font-weight: lighter;
    display: block;
    color: rgb(100, 98, 98);
  }
}
#kalender-drawer-btn {
  .anticon {
    vertical-align: top;
    margin: -2px 4px 0 0;
  }
  span {
    font-size: 1.4rem;
  }
}
.calender-content {
  margin-top: 29px;
}
// workaround for clickalble parent node https://github.com/ant-design/ant-design/issues/27507
@ant-prefix: ant;

.custom-select-dropdown {
  .@{ant-prefix}-select-tree {
    .@{ant-prefix}-select-tree-treenode {
      position: relative;
      .@{ant-prefix}-select-tree-switcher {
        text-align: left;
        left: 7px;
        position: absolute;
        width: 90%;
        z-index: 2;

        .@{ant-prefix}-select-tree-switcher-icon {
          visibility: hidden;
        }

        &:hover + .@{ant-prefix}-select-tree-node-content-wrapper {
          background-color: @platform-blue4;
        }
      }

      .@{ant-prefix}-select-tree-node-content-wrapper {
        margin-left: 24px;
      }

      &.@{ant-prefix}-select-tree-treenode-switcher-open {
        .@{ant-prefix}-select-tree-node-content-wrapper {
          &:before {
            content: '';
            position: absolute;
            top: 10px;
            left: -16px;
            width: 0;
            height: 0;
            border-left: 4px solid transparent;
            border-right: 4px solid transparent;
            border-top: 4px solid #161616;
            z-index: 1;
            transform: rotate(0deg);
          }
        }
      }

      &.@{ant-prefix}-select-tree-treenode-switcher-close {
        .@{ant-prefix}-select-tree-node-content-wrapper {
          &:before {
            content: '';
            position: absolute;
            top: 10px;
            left: -16px;
            width: 0;
            height: 0;
            border-left: 4px solid transparent;
            border-right: 4px solid transparent;
            border-top: 4px solid #161616;
            z-index: 1;
            transform: rotate(-90deg);
          }
        }

        .@{ant-prefix}-select-tree-node-content-wrapper-normal {
          &:before {
            content: '';
            position: absolute;
            top: 10px;
            left: -16px;
            width: 0;
            height: 0;
            border-left: 4px solid transparent;
            border-right: 4px solid transparent;
            border-top: 4px solid transparent;
            z-index: 1;
            transform: rotate(-90deg);
          }
        }
      }
    }
  }
}
